Lua C api : Too many lua_states lead to errors?

We're working on multiple computers, executing a program coded in c/c++ and using lua api, and each one of them get crashed with different errors. It's usually either a segmentation fault, whose...

Ruby - Gem - mysql - Failed to build gem native extension

since two days I'm facing a problem I can't solve. I'm trying to install redmine on a debian machine. When it comes to installation for the gem mysql it fails. I don't know what to do anymore. My...

compilation error on Executing embedded lua in C file

I am using Cygwin environment with Lua Interpreter package included while cygwin installation. So I am able to compile and run sample lua progs. But when i try to execute a sample c file which has...

No package 'lua' found but i have it installed

I'm trying to install Lsyncd on Ubuntu 10.4 LTS but i get some error : > checking for LUA... no checking for > LUA... no checking for LUA... > configure: error: Package requirements > (lua >=...

Error compiling opa file

I'm new to Opa (and complied languages) - normally develop web apps with Python. I'm following the intro tutorial at http://doc.opalang.org/index.html#_introducing_opa but my hello_chat.opa file...

'gcc -lXext' succeeds but libXext appears not to be linked

A binary has been linked with gcc using: gcc notion.o -Wl,-whole-archive ../ioncore/ioncore.a -Wl,-no-whole-archive -L/usr/X11R6/lib -lX11 -lXext -lSM -lICE -Wl,-whole-archive -L../libmainloop...

Lua liblua5.1.so cannot open shared object file

So I have a compiled C file in .so format, and am trying to use it from within Lua. The code for the 2 files is: -- luatest.lua: require("power") print("Enter a number: ") local num =...

Awesome window manager doesn't react on clicks at toolbar when Caps Lock is on

The title pretty much explains it. I use Caps Lock to change layouts, setting it with awful.util.spawn_with_shell("setxkbmap -layout 'us, ru' -option 'grp:caps_toggle'") in awesome's rc.lua, if...

debian: mysql-workbench installation error [cannot find -lpython2.7.a]

I'm trying to install mysql-workbench-gpl-5.2.45 from the source code on Linux debian 2.6.32-5-amd64. The problem appears at the "make" step with error message: /usr/bin/ld: cannot find...

mysql mod security error

I am trying to install mysql mod security on my debian machine, but it gives me the following error when I do this - apt-get install libapache-mod-security Reading package lists... Done Building...

Curl 7.12.0 or later is required for timestamping support

configure: error: Curl 7.12.0 or later is required for timestamping support I have this message while trying to ./configure another package. CURL is installed There is an output of [email protected]:$>...

VLC wrapper in monodevelop

I'm programming c# in monodevelop for ubuntu program. When the program is started, it gets run time error. The error message from GDB is here: Native stacktrace: /usr/bin/mono()...

After installing curl extension php stop working

on my working ubuntu 12.04 server i installed the curl extension for php with the commands: apt-get install curl apt-get install php5-curl service apache2 restart after doing that php stop...

Using scons to build on Mac OSX 10.9

I've been trying to compile The Powder Toy (written in C++) from the source code using scons and SDL. I will admit that I am not very experienced with compiling/building, but this looks like it...

Trying to embed Lua in c++, "undefined reference to 'dlopen'"

In a nutshell: compiling and linking c++ program that embeds lua using command g++ -o clua clua.cpp -Wall -Iinclude -L liblua5.1.a liblua5.1.so -ldl, getting liblua5.1.so: undefined reference to...

How to get liblua5.1-0-dev for Windows 7?

I'm trying to compile VLC source code on a 64-bits Windows 7 machine. When running the configure file, it gives me an error message saying "configure: error: You need 32-bits luac when using using...

"attempt to call global 'tonumber' (a nil value)" in Lua, embedded (in VLC)

I use VLC media player 1.1.9 on Ubuntu 11.04. I'm trying to experiment with lua extensions for VLC; so I've added the file test.lua in ~/.local/share/vlc/lua/extensions/, which has only these two...

gcc linker produces unexpected so (clang is fine)

A program is linked properly with clang, but not with gcc: % CC=clang make clang -I/usr/include/lua5.1 -llua5.1 -shared -fPIC -o mk_lua.so mk_lua.c % ldd mk_lua.so linux-vdso.so.1 => ...

So much dependencies for installing the package 'nmap'

I want to install the package nmap on debian by the command apt-get, but It seems that the package nmap depends on so many dependencies! For example It depends on the packages imagemagick and...

Dependency Hell: linux .so plugin dynamic loading

I've created a shared library built with a standalone build tree using linuxbrew, which fails to load in the parent application due to dependency conflict. I'm using a separate application which...

Compiling C code with lua source

int init_lua (char *filename,lua_State *L){ //int inter; //lua_State *L = luaL_newstate(); luaL_openlibs(L); if(luaL_loadfile(L, filename) ){ error(L, "cannot run configuration file:...

Ubuntu Server Installing PHP 7 WITHOUT Apache

I'm trying to get my server re-setup as a Lemp stack The issue I am now running into is installing PHP 7 without Apache, since nGinx will be my webserver. So, I've added ppa:ondrej/php. ran...

gnuplot : Aborted (core dumped)

I just now installed gnuplot 4.6.6 on my Ubuntu 14.04 from the source by using standard configure make make install. But I am not able to plot anything after that. Something like this...

Raspberry pi sudo apt-get install apache2 gives error (404 Not Found)

I have been following this tutorial and I now cannot finish it by running: https://www.youtube.com/watch?v=T3s9KYCU3tE sudo apt-get install apache2 What I am trying to do is basically turn my...

link error with "undefined lua_xxxxx" when building lsnes

In my ubuntu 14.xx, I try to compile lsnes emulator to use the mario-ai script from aleju/mario-ai, and I've tried to google many solutions to solve the problem below: #Here is the output from the...

GET "ERROR 1105 (HY000): (proxy) all backends are down" while run cryptDB on docker contain (ubuntu 12)

I am recently considering to run the MIT's CryptDB. My system is Debian 9 which doesn't get some of the necessary Dependency packages (liblua5.1-0-dev libmysqlclient-dev for example). So I pull an...

Trying to download the latest version of pandoc in circleci build script

I'm trying to do a conversion of my README from markdown to reStructuredText using pandoc so I can build an egg which can be deployed to pypi. Unfortunately the version of pandoc that circleci is...

Compile big C++ project that uses CMake to WebAssembly

I've been trying to compile a huge C++ project, that uses CMake to build the project, to wasm. I have almost no experience with CMake files and I am fighting this battle for months now. First I...

How to UNinstall php7.2-fpm WITHOUT installing Apache 2 (on a LEMP machine)

This may sound stupid, but my weird configuration seems to force an Apache2 installation when attempting to uninstall php7.2-fpm! (I use nginx and the last thing I want to see on my server is an...